Subject: Re: [linux-usb-devel] [PATCH 1/2] USB: Rework OHCI PPC OF for new bindings

From: Valentine Barshak <[email-masked]>
Date: Thu, 25 Oct 2007 21:11:26 +0400

Grant Likely wrote:
> On 10/25/07, Valentine Barshak <[email-masked]> wrote:
>> Grant Likely wrote:
>>> On 10/24/07, David Brownell <[email-masked]> wrote:
>>>> On Wednesday 24 October 2007, Matt Sealey wrote:
>>>>> Can we just make sure real quickly that the changing of compatibles
>>>>> doesn't break existing, not-easily-flashable firmwares?
>>>> Yeah, I'm not keen on such breakage either...
>>> Add my voice to the chorus.  It's okay to change the binding, but make
>>> sure the old binding is still supported.
>>>
>>> Cheers,
>>> g.
>>>
>> Actually, I thought that changing the DTS stuff for mpc52xx boards would
>> suffice. Sorry, I was unaware of Efika firmware here. I'll keep old
>> bindings as well.
> 
> Even if that were the case; I'm nervous about breaking compatibility
> with old device trees.

If we keep the old bindings intact in the driver code then the old dts 
files should work fine. But I'm starting to doubt we really need any new 
bindings for this if we still have to keep the old ones.
BTW, does anybody know of any ohci-le devices on OF bus?
Thanks,
Valentine.

> 
> We probably need a formal guideline here.  ie. When is it okay to drop
> compatibility with old dts files?
> 
>> Does the device tree have "ohci-bigendian" or "ohci-be" compatible
>> property on Efika?
> 
> If it doesn't, it can be added during prom_init.c  We're already doing
> a bunch of efika fixups there anyway.
> 
> Cheers,
> g.
>